MetaSoul

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
MyLibrary::Example Class Referenceabstract

Example class to demonstrate the features of the custom CSS. More...

`#include <example.hpp>`

Inheritance diagram for MyLibrary::Example:

## Public Member Functions
std::string | test (const std::string &test)
| brief summary
virtual int | virtualfunc ()=0

## Static Public Member Functions
static bool | staticfunc ()

## Detailed Description

Example class to demonstrate the features of the custom CSS.

Author
  jothepro

## Member Function Documentation

## ◆ staticfunc()

static bool MyLibrary::Example::staticfunc | ( |  | ) |
| static

## ◆ test()

std::string MyLibrary::Example::test | ( | const std::string & | test | ) |

brief summary

doxygen test documentation

Parameters

  test | this is the only parameter of this test function. It does nothing!

# Supported elements

These elements have been tested with the custom CSS.

## Tables

- Basic This theme supports normal markdown tables:

  Item | Title | Description | More
  --- | --- | --- | ---
  1 | Foo | A placeholder | Some lorem ipsum to make this table wider.
  2 | Bar | Also a placeholder | More lorem ipsum.
  3 | Baz | The third placeholder | More lorem ipsum.

- Centered
  A table can be centered with the `<center>` html tag:

  Item | Title | Description | More
  --- | --- | --- | ---
  1 | Foo | A placeholder | Some lorem ipsum to make this table wider.
  2 | Bar | Also a placeholder | More lorem ipsum.
  3 | Baz | The third placeholder | More lorem ipsum.

- Stretched A table wrapped in `<div class="full_width_table">` fills the full page width.

  Item | Title | Description | More
  --- | --- | --- | ---
  1 | Foo | A placeholder | Some lorem ipsum to make this table wider.
  2 | Bar | Also a placeholder | More lorem ipsum.
  3 | Baz | The third placeholder | More lorem ipsum.

  Caution: This will break the overflow scrolling support!
- Complex Complex Doxygen tables are also supported as seen in this example:

  Complex table
  Column 1 | Column 2 | Column 3
  --- | --- | ---
  cell row=1+2,col=1 | cell row=1,col=2 | cell row=1,col=3
  cell row=2+3,col=2 | cell row=2,col=3
  cell row=3,col=1 | cell row=3,col=3

- Overflow Scrolling The table content is scrollable if the table gets too wide.

  first_column | second_column | third_column | fourth_column | fifth_column | sixth_column | seventh_column | eighth_column | ninth_column
  --- | --- | --- | --- | --- | --- | --- | --- | ---
  1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9

- ImagesA table can contain images:

  Column 1 | Column 2
  --- | ---
  | ← the image should not be inverted in dark-mode

## Diagrams

Graphviz diagrams support dark mode and can be scrolled once they get too wide:

## Lists

- element 1
- element 2

1. element 1
   code in lists
2. element 2

## Quotes

> ‍Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Vitae proin sagittis nisl rhoncus mattis rhoncus urna neque viverra. Velit sed ullamcorper morbi tincidunt ornare.

> Lorem ipsum dolor sit amet consectetur adipiscing elit duis.

- jothepro

## Code block

auto x = "code within md fences";
// code within @code block
while(true) {
auto example = std::make_shared<Example>(5);
example->test("test");
}

    // code within indented code block
    auto test = std::shared_ptr<Example(5);

Inline `code` elements in a text. Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. This also works within multiline text and does not break the `layout`.

## Special hints

Warning
  this is a warning only for demonstration purposes

Note
  this is a note to show that notes work. They can also include `code`:
  void this_looks_awesome();

Bug
  example bug

Deprecated
  None of this will be deprecated, because it's beautiful!

Invariant
  This is an invariant

Precondition
  This is a precondition

Postcondition
  This is a postcondition

Todo
  This theme is never finished!

Remarks
  This is awesome!

## ◆ virtualfunc()

virtual int MyLibrary::Example::virtualfunc | ( |  | ) |
| pure virtual

Implemented in MyLibrary::SubclassExample< TemplatedClass >.

The documentation for this class was generated from the following file:

- doxygen-awesome-css/include/MyLibrary/example.hpp